## python-aenum 3.1.15

=== debian/changelog ===
python-aenum (3.1.15-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 16:14:58 +0200

python-aenum (3.1.15-1) unstable; urgency=medium

  * Initial release. (Closes: #1079383)

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Aug 2024 23:01:56 +0200
