=== debian/control ===
Source: python-aenum
Section: python
Priority: optional
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aenum
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aenum.git
Homepage: https://github.com/ethanfurman/aenum

Package: python3-aenum
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Advanced Enumerations, NamedTuples, and NamedConstants
 This package provides a library for Advanced Enumerations (compatible with
 Python's stdlib Enum), NamedTuples, and NamedConstants. Aenum includes a
 Python stdlib Enum-compatible data type, as well as a metaclass-based
 NamedTuple implementation and a NamedConstant class.
 .
 An Enum is a set of symbolic names (members) bound to unique, constant values.
 Within an enumeration, the members can be compared by identity, and the
 enumeration itself can be iterated over. If using Python 3 there is built-in
 support for unique values, multiple values, auto-numbering, and suspension of
 aliasing (members with the same value are not identical), plus the ability to
 have values automatically bound to attributes.
 .
 A NamedTuple is a class-based, fixed-length tuple with a name for each
 possible position accessible using attribute-access notation as well as the
 standard index notation.
 .
 A NamedConstant is a class whose members cannot be rebound; it lacks all other
 Enum capabilities, however; consequently, it can have duplicate values.
