=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/ethanfurman/aenum.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_TEST_ARGS= -v aenum/test_v3.py -k 'not test_class_nested_enum_and_pickle_protocol_four and not test_pickle_enum_function_with_qualname and not test_subclasses_with_getnewargs_ex and not test_arduino_headers and not test_extend_enum_shadow_property_stdlib'

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -f aenum/_py2.py

override_dh_fixperms:
	dh_fixperms
	rm -rf $(CURDIR)/debian/python3-aenum/usr/lib/python3/dist-packages/aenum/CHANGES
	rm -rf $(CURDIR)/debian/python3-aenum/usr/lib/python3/dist-packages/aenum/doc
	rm -rf $(CURDIR)/debian/python3-aenum/usr/lib/python3/dist-packages/aenum/LICENSE
